Subject: Re:questions on draft-ietf-ccamp-gmpls-recovery-analysis-05

From: "Lei Lei" <[email-masked]>
Date: Wed, 18 May 2005 21:23:23 +0800

First of all, I would like to thank Mr Farrel for kindly offering me such a great help and Mr  Papadimitriou for taking the time and trouble to answer my questions. However, I still have some difficulty in understanding the idea described in section 8.4.1 of draft-ietf-ccamp-gmpls-recovery-analysis-05. I'm sorry for bothering you with my questions,but neither me nor my colleagues can clear this confusion.    

   From the last email, I understand that the essence of the idea is to maximize the ratio between over-provisioned bandwidth and actual bandwidth that can be committed by assuming over-provisioning is used for shared recovery purposes. My questions are as follows:

1. The concept of over-subscription in recovery resource sharing. Can I describe the over-provisioned bandwidth as the the difference between the recovery bandwidth that should be allocated if a dedicated protection scheme is assumed and the recovery bandwidth that is actually  reserved considering recovery resource sharing? That is, the amout of bandwidth  that is saved by recovery resource sharing?

2. The meaning of R[i]. In the draft, it is said that R[i] is the amount of bandwidth currently allocated for shared recovery  and r[i] is the actual bandwidth committed for shared recovery. However, this definition of R[i] is not clear enough for me. Can I understand r[i] as the recovery bandwidth actually reserved on the link, and R[i] as the bandwidth that should be allocated if a dedicated protection scheme is assumed? So R[i] - r[i] is the amount of bandwidth currently saved by recovery resource sharing? Also,in the figure below, does r[i] mean the bandwidth from point 1 to point 3 or from point 2 to point 4? Does R[i] means the bandwidth from point 1 to point 6 or from point 5 to point 7?

3. From the figure below it seems that b[i] equals to Maximum LSP Bandwidth, is it true? b[i] is defined in the draft as the sum per TE link i of the bandwidth committed for working LSPs and other recovery LSPs (thus except "shared bandwidth" LSPs). It seems that b[i] is the amount of allocated bandwidth that cannot be shared with current LSP. Thus, it is strange that b[i] should be equals to Maximum LSP Bandwidth, which equals to the Unreserved Bandwidth. But otherwise, what does the <------ b ------> in the figure below mean?

                                              7 - ---------- Max Reservable Bandwidth 
                                                  |  -----  ^    
                                              6  |R -----|  
                                              5  |  -----  | 
                                                 - -----    |max_R 
                                                   -----    | 
   --------  TE link Capacity               4 - ------ | - Maximum TE Link Bandwidth 
   -----                                    3 |r -----  v 
   -----     <------ b ------>              2 - ---------- Maximum LSP Bandwidth 
   -----                                         ----- 
   -----                                         ----- 
   -----                                        ----- 
   -----                                         -----  
   -----                                         ----- <--- Minimum LSP Bandwidth 
   -------- 0                               1     ---------- 0 

  I still have some other questions regarding this section, but I think that if I can get the above two questions clear, perhaps I can figure out the others by myself. I'll be warmly looking forward to your replys.

Best regards

Lei Lei